#!/usr/bin/env python
# -*- coding: utf-8 -*-
from packager.base import BaseProcessor

class SensitiveClassInfoProcessor(BaseProcessor):
    # def __init__(self):

	@staticmethod
	def objects_to_json(sensitive_class_infos):
		to_json = dict()
		for idx, class_info in enumerate(sensitive_class_infos):
			tmp = dict()
			tmp['cls_desc'] = class_info.cls_desc
			tmp['cls_behaviors'] = class_info.cls_behaviors.__dict__
			to_json[class_info.cls] = tmp
		return to_json